org.apache.uima.adapter.jms.activemq

## Class UimaEEAdminSpringContext

- java.lang.Object
- - org.apache.uima.adapter.jms.activemq.UimaEEAdminSpringContext

- All Implemented Interfaces:
    EventListener, org.apache.uima.aae.UimaEEAdminContext, org.springframework.context.ApplicationListener

      public class UimaEEAdminSpringContext
      extends Object
      implements org.apache.uima.aae.UimaEEAdminContext, org.springframework.context.ApplicationListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UimaEEAdminSpringContext.ListenerEntry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UimaEEAdminSpringContext(org.springframework.context.support.FileSystemXmlApplicationContext aSpringContainer, org.apache.uima.aae.controller.ControllerCallbackListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConcurrentConsumerCount(String anEndpointName)`
    `org.springframework.context.ApplicationContext` | `getSpringContainer()`
    `boolean` | `isShutdown()`
    `void` | `onApplicationEvent(org.springframework.context.ApplicationEvent anEvent)`
    `void` | `onTerminate(String reason, org.apache.uima.aae.UimaASApplicationEvent.EventTrigger cause)`
    `void` | `setBroker(org.apache.activemq.broker.BrokerService aBrokerService)`
    `void` | `shutdown()` Stops the Spring Container
    `void` | `stopListener(String anEndpointName)` Stops a listener thread on a given endpoint

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UimaEEAdminSpringContext

          public UimaEEAdminSpringContext(org.springframework.context.support.FileSystemXmlApplicationContext aSpringContainer,
                                          org.apache.uima.aae.controller.ControllerCallbackListener listener)

  - ### Method Detail

    - #### onTerminate

          public void onTerminate(String reason,
                                  org.apache.uima.aae.UimaASApplicationEvent.EventTrigger cause)

      Specified by:
        `onTerminate` in interface `org.apache.uima.aae.UimaEEAdminContext`

    - #### setBroker

          public void setBroker(org.apache.activemq.broker.BrokerService aBrokerService)

    - #### getSpringContainer

          public org.springframework.context.ApplicationContext getSpringContainer()

    - #### getConcurrentConsumerCount

          public int getConcurrentConsumerCount(String anEndpointName)

      Specified by:
        `getConcurrentConsumerCount` in interface `org.apache.uima.aae.UimaEEAdminContext`

    - #### stopListener

          public void stopListener(String anEndpointName)

      Stops a listener thread on a given endpoint
      Specified by:
        `stopListener` in interface `org.apache.uima.aae.UimaEEAdminContext`

    - #### onApplicationEvent

          public void onApplicationEvent(org.springframework.context.ApplicationEvent anEvent)

      Specified by:
        `onApplicationEvent` in interface `org.springframework.context.ApplicationListener`

    - #### shutdown

          public void shutdown()

      Stops the Spring Container
      Specified by:
        `shutdown` in interface `org.apache.uima.aae.UimaEEAdminContext`

    - #### isShutdown

          public boolean isShutdown()

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.